GuidedTourGeneratorUtil (gCube Guided Tour Widget 1.6.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.widgets.guidedtour.resources

## Class GuidedTourGeneratorUtil

- java.lang.Object
- - org.gcube.portlets.widgets.guidedtour.resources.GuidedTourGeneratorUtil

-     public class GuidedTourGeneratorUtil
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidedTourGeneratorUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<TourLanguage,URL>` | `findResources(com.google.gwt.core.ext.TreeLogger logger, com.google.gwt.resources.ext.ResourceContext context, com.google.gwt.core.ext.typeinfo.JMethod method, TourLanguage[] locales)`
    `static Map<TourLanguage,URL>` | `findResources(com.google.gwt.core.ext.TreeLogger logger, com.google.gwt.resources.ext.ResourceContext context, com.google.gwt.core.ext.typeinfo.JMethod method, TourLanguage[] locales, String[] defaultSuffixes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidedTourGeneratorUtil

          public GuidedTourGeneratorUtil()

  - ### Method Detail

    - #### findResources

          public static Map<TourLanguage,URL> findResources(com.google.gwt.core.ext.TreeLogger logger,
                                            com.google.gwt.resources.ext.ResourceContext context,
                                            com.google.gwt.core.ext.typeinfo.JMethod method,
                                            TourLanguage[] locales)
                                                     throws com.google.gwt.core.ext.UnableToCompleteException

      Throws:
        `com.google.gwt.core.ext.UnableToCompleteException`

    - #### findResources

          public static Map<TourLanguage,URL> findResources(com.google.gwt.core.ext.TreeLogger logger,
                                            com.google.gwt.resources.ext.ResourceContext context,
                                            com.google.gwt.core.ext.typeinfo.JMethod method,
                                            TourLanguage[] locales,
                                            String[] defaultSuffixes)
                                                     throws com.google.gwt.core.ext.UnableToCompleteException

      Throws:
        `com.google.gwt.core.ext.UnableToCompleteException`

Copyright © 2014. All Rights Reserved.